<!--
 * @Author: daidai
 * @Date: 2022-01-12 14:23:32
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2022-09-09 14:47:24
 * @FilePath: \web-pc\src\pages\big-screen\view\home.vue
-->
<template>
   
    <div class="iframe-container">  
     <iframe :src="iframeUrl" frameborder="0" class="fill-container"></iframe>  
   </div> 
   </template>
 
 <script>
 //import { formatTime } from "../../../../utils/deviceVision.js";
 
 export default {

   data() {
     return {
       timing: null,
       loading: true,
       dateDay: null,
       dateYear: null,
       dateWeek: null,
       weekday: ["周日", "周一", "周二", "周三", "周四", "周五", "周六"],
       iframeUrl:"http://47.101.220.106:8011?ss=1"
     };
   },
   filters: {
     numsFilter(msg) {
       return msg || 0;
     },
   },
   computed: {},
   created() {},
   mounted() {
     this.timeFn();
     this.cancelLoading();
   },
   beforeDestroy() {
     clearInterval(this.timing);
   },
   methods: {
     timeFn() {
       this.timing = setInterval(() => {
         //this.dateDay = formatTime(new Date(), "HH: mm: ss");
         //this.dateYear = formatTime(new Date(), "yyyy-MM-dd");
         this.dateWeek = this.weekday[new Date().getDay()];
       }, 1000);
     },
     cancelLoading() {
       let timer = setTimeout(() => {
         this.loading = false;
         clearTimeout(timer);
       }, 500);
     },
   },
 };
 </script>
 
 
 <style scoped>  
 .iframe-container {  
   /* 根据需要设置容器的样式 */  
   width: 100%; /* 如果需要的话，设置容器的宽度 */  
   height: 100vh; /* 设置容器的高度为视口高度的100% */  
   /* 注意：如果有其他元素在页面上，你可能需要调整这个值 */  
   display: flex; /* 使用Flexbox来确保iframe填充整个容器 */  
   justify-content: center; /* 水平居中iframe（如果需要的话） */  
   align-items: stretch; /* 垂直方向也尝试填充（但iframe内容可能不会响应） */  
   overflow: hidden; /* 隐藏超出容器的iframe内容（如果需要的话） */  
   position: relative; /* 如果需要绝对定位iframe或其他子元素 */  
 }  
   
 .fill-container {  
   width: 100%; /* 填充容器的宽度 */  
   height: 100%; /* 填充容器的高度 */  
   border: none; /* 移除边框（如果需要的话） */  
   display: block; /* 确保iframe是块级元素 */  
 }  
 </style>